﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>RadEditor integration</title>
	<%-- Set the icons for the WIRIS editor tools--%>
	<style type="text/css">
		.reToolbar.Default .WIRIScas
		{
			background-image: url(pluginwiris/core/wiris-cas.gif);
		}
		.reToolbar.Default .WIRISformula
		{
			background-image: url(pluginwiris/core/wiris-formula.gif);
		}
	</style>
	<%-- Load the core WIRIS script --%>
	<script type="text/javascript" src="pluginwiris/core/core.js"></script>

</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:ScriptManager ID="ScriptManager1" runat="server">
		</asp:ScriptManager>
		<%-- Add the WIRIS tools to the editor toolbar. You can also add them in the editor tools file. For the purpose of this example we use a basic toolbar. --%>
		<telerik:RadEditor ID="RadEditor1" runat="server">
			<Tools>
				<telerik:EditorToolGroup Tag="FileManagers">
					<telerik:EditorTool Name="FindAndReplace" />
					<telerik:EditorTool Name="LinkManager" />
					<telerik:EditorTool Name="InsertTable" />
				</telerik:EditorToolGroup>
				<telerik:EditorToolGroup>
					<telerik:EditorTool Name="Bold" />
					<telerik:EditorTool Name="Italic" />
					<telerik:EditorTool Name="Underline" />
					<telerik:EditorSeparator />
					<telerik:EditorTool Name="ForeColor" />
					<telerik:EditorTool Name="BackColor" />
					<telerik:EditorSeparator />
					<telerik:EditorTool Name="FontName" />
					<telerik:EditorTool Name="RealFontSize" />
				</telerik:EditorToolGroup>
				<telerik:EditorToolGroup>
					<telerik:EditorTool Name="WIRISformula" Text="Insert/edit a WIRIS Formula" />
					<telerik:EditorTool Name="WIRIScas" Text="Insert/Edit with WIRIS CAS" />
				</telerik:EditorToolGroup>
			</Tools>
			<Content>
			</Content>
		</telerik:RadEditor>
		<%-- Load the client script for the WIRIS tools. Note that this must be after the RadEditor instance on the page. --%>
		<script type="text/javascript" src="pluginwiris/RadEditor_demo.js"></script>

		<asp:Button ID="button1" runat="server" Text="PostBack" OnClick="button1_Click" />
		<br />
		<br />
		<asp:Label ID="previewLabel" runat="server"></asp:Label>
	</div>
	</form>
</body>
</html>
